# SPDX-FileCopyrightText: 2021 Tobias Fella <tobias.fella@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

Dependencies:
- 'on': ['Linux', 'FreeBSD', 'Windows', 'Android']
  'require':
    'frameworks/extra-cmake-modules': '@latest-kf6'
    'frameworks/kcoreaddons': '@latest-kf6'
    'frameworks/kirigami': '@latest-kf6'
    'frameworks/syndication': '@latest-kf6'
    'frameworks/ki18n': '@latest-kf6'
    'frameworks/kconfig': '@latest-kf6'
    'frameworks/threadweaver': '@latest-kf6'
    'frameworks/kcolorscheme': '@latest-kf6'
    'libraries/kirigami-addons': '@latest-kf6'
    'third-party/qtkeychain': '@latest'

- 'on': ['Linux', 'FreeBSD', 'Windows']
  'require':
    'frameworks/qqc2-desktop-style': '@latest-kf6'
    'frameworks/kcrash': '@latest-kf6'

Options:
  require-passing-tests-on: [ 'Linux', 'FreeBSD', 'Windows' ]
